# 订单详情

## 查询API

<mark style="color:green;">`POST`</mark> `BASE_URL/api`

#### Headers

| Name         | Type   | Description                       |
| ------------ | ------ | --------------------------------- |
| content-type | String | application/x-www-form-urlencoded |

#### Request Body

| Name                                              | Type   | Description                                             |
| ------------------------------------------------- | ------ | ------------------------------------------------------- |
| version<mark style="color:red;">\*</mark>         | String | <p>max=5</p><p>调用的接口版本，固定为：1.0</p>                      |
| merchantNo<mark style="color:red;">\*</mark>      | String | <p>max=16</p><p>商户号，由USEEPAY 分配</p>                     |
| transactionId                                     | String | <p>max=64</p><p>商户订单号。transactionId 和 reference 二选一</p> |
| transactionType<mark style="color:red;">\*</mark> | String | <p>max=18</p><p>交易类型：query</p>                          |
| reference                                         | String | <p><em>string</em> max=32</p><p>USEEPAY 订单号</p>         |
| notifyUrl                                         | String | <p>max=512</p><p>USEEPAY 回调商户地址</p>                     |
| reserved                                          | String | <p>max=256</p><p>预留字段，响应报文会原样返回</p>                     |
| signType<mark style="color:red;">\*</mark>        | String | <p>max=4</p><p>商户生成签名字符串所使用的签名算法类型，目前支持：RSA MD5</p>     |
| sign<mark style="color:red;">\*</mark>            | String | max=256 商户请求参数的签名串                                      |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "echoParam": "echoParam",
    "reserved": "reserved",
    "resultCode": "succeed", el
    "sign": "2f98c029cc6b33d5a13525fd9b7aa0c6",
    "errorCode": "0000",
    "signType": "MD5",
    "merchantNo": "500000000007381",
    "errorMsg": "Approved or completed successfully",
    "transactionInfo": "{\"transactionType\":\"sale\",\"reference\":\"1012110141401650864\",\"amount\":\"2000\",\"originalTransactionId\":\"\",\"resultCode\":\"succeed\",\"errorCode\":\"0000\",\"currency\":\"USD\",\"transactionId\":\"202110140201428\",\"errorMsg\":\"Approved or completed successfully\"}"
}
```

{% endtab %}
{% endtabs %}

## Response  <a href="#response" id="response"></a>

返回结果说明

| 参数                                  | 说明                                      | 是否必须  |
| ----------------------------------- | --------------------------------------- | ----- |
| merchantNo                          | max=16 商户编号，由 USEEPAY 分配                | true  |
| resultCode                          | <p>max=32</p><p>本次查询的业务结果（详见 业务结果码）</p> | true  |
| errorCode                           | <p>max=4</p><p>本次查询的错误码</p>             | false |
| errorMsg                            | <p>max=256</p><p>本次查询的错误码消息描述</p>       | false |
| [transactionInfo](#transactioninfo) | 交易信息。resultCode=xxxx 的时候有返回             |       |
| reserved                            | <p>max=256</p><p>预留字段，值同请求报文</p>        | false |
| echoParam                           | max=256 回声参数，响应报文会原样返回                  | false |
| sign                                | <p>max=256</p><p>商户请求参数的签名串</p>         | true  |

### transactionInfo <a href="#transactioninfo" id="transactioninfo"></a>

| 参数                    | 描述                                                            | 是否必须  |
| --------------------- | ------------------------------------------------------------- | ----- |
| transactionId         | max=64商户订单号                                                   | true  |
| originalTransactionId | max=64 原始商户订单号                                                |       |
| reference             | <p>max=32</p><p>USEEPAY 订单号</p>                               | false |
| transactionType       | max=64 pay； authorization; refund; capture;authorizationVoid; | true  |
| amount                | <p>max=12</p><p>交易金额，单位为对应币种的最小货币单位(详见 ISO 4217)</p>          | false |
| currency              | <p>max=3</p><p>3 位 ISO 大写字母货币代码(详见 ISO 4217)</p>              | false |
| resultCode            | <p>max=32</p><p>业务结果（详见 业务结果码）</p>                            | true  |
| errorCode             | <p>max=4</p><p>错误码（详见 错误码 errorCode）</p>                      | false |
| errorMsg              | <p>max=256</p><p>错误码消息描述</p>                                  | false |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://useepay.gitbook.io/developer/reference/api-reference-xin-yong-ka/order/order-detail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
